<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>DDRS.PHQ.CostNew</name>
<version>1</version>
<engineversion>30</engineversion>
<description>Remove resources and return true if enough avail</description>
<arguments>
<argument index="1" name="Needed" type="Var/Script Data Type" desc="Needed" />
<argument index="2" name="Add.Res" type="Var/Number" desc="Add Res." />
</arguments>
<sourcetext>
<line linenr="001" indent=""><var>$Stored&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'ddrs.phq.stored'</var></line>
<line linenr="002" indent=""><var>if&#160;not&#160;</var><var>$Stored</var></line>
<line linenr="003" indent="&#160;"><var>$Stored&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>12</var></line>
<line linenr="004" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>'ddrs.phq.stored'</var><text>&#160;value=</text><var>$Stored</var></line>
<line linenr="005" indent="&#160;"><var>$No.Stored&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Stored</var></line>
<line linenr="006" interruptable="@" indent="&#160;"><var>$Temp&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>DDRS.PHQ.CostArray</call><text>&#160;:&#160;</text><text>&#160;Price=</text><var>null</var></line>
<line linenr="007" indent="&#160;"><var>$No.Temp&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Temp</var></line>
<line linenr="008" indent="&#160;"><var>while&#160;</var><var>$No.Temp</var></line>
<line linenr="009" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Temp&#160;=&#160;</var></line>
<line linenr="010" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="011" indent="&#160;&#160;"><var>$Ware&#160;=&#160;</var><var>$Temp</var><text>[</text><var>$No.Temp</var><text>]</text></line>
<line linenr="012" indent="&#160;&#160;"><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]&#160;=&#160;</text><var>$Ware</var></line>
<line linenr="013" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="014" indent="&#160;&#160;"><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]&#160;=&#160;</text><var>0</var></line>
<line linenr="015" indent="&#160;"><text>end</text></line>
<line linenr="016" indent=""><text>end</text></line>
<line linenr="017" indent=""><var>$Return.Flag&#160;=&#160;</var><var>[TRUE]</var></line>
<line linenr="018" indent=""><var>$No.Stored&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Stored</var></line>
<line linenr="019" indent=""><var>while&#160;</var><var>$No.Stored</var></line>
<line linenr="020" indent="&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="021" indent="&#160;"><var>$Ware&#160;=&#160;</var><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]</text></line>
<line linenr="022" indent="&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="023" indent="&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]</text></line>
<line linenr="024" indent="&#160;"></line>
<line linenr="025" indent="&#160;"><var>$No.Need&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Needed</var></line>
<line linenr="026" indent="&#160;"><var>while&#160;</var><var>$No.Need</var></line>
<line linenr="027" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Need&#160;=&#160;</var></line>
<line linenr="028" indent="&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>$Needed</var><text>[</text><var>$No.Need</var><text>]</text></line>
<line linenr="029" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Need&#160;=&#160;</var></line>
<line linenr="030" indent="&#160;&#160;"><var>$Amount.Need&#160;=&#160;</var><var>$Needed</var><text>[</text><var>$No.Need</var><text>]</text></line>
<line linenr="031" indent="&#160;&#160;"><var>if&#160;</var><var>$Temp</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Ware</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Add.Res</var></line>
<line linenr="032" indent="&#160;&#160;&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>$Amount.Stored</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Amount.Need</var></line>
<line linenr="033" indent="&#160;&#160;&#160;"><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]&#160;=&#160;</text><var>$Amount.Stored</var></line>
<line linenr="034" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="035" indent="&#160;&#160;"><var>else&#160;if&#160;</var><var>$Temp</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Ware</var></line>
<line linenr="036" indent="&#160;&#160;&#160;"><var>$Amount.Avail&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;amount&#160;of&#160;ware&#160;</text><var>$Ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="037" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Amount.Avail</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>$Amount.Stored</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>$Amount.Need</var></line>
<line linenr="038" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Amount.Avail</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$Amount.Need</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Amount.Stored</var></line>
<line linenr="039" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Amount.Avail&#160;=&#160;</var><var>$Amount.Need</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Amount.Stored</var></line>
<line linenr="040" indent="&#160;&#160;&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>-</var><text>&#160;</text><var>$Amount.Avail</var></line>
<line linenr="041" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;add&#160;</text><var>$Temp</var><text>&#160;units&#160;of&#160;</text><var>$Ware</var></line>
<line linenr="042" indent="&#160;&#160;&#160;&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>$Amount.Stored</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$Amount.Avail</var></line>
<line linenr="043" indent="&#160;&#160;&#160;&#160;"><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]&#160;=&#160;</text><var>$Amount.Stored</var></line>
<line linenr="044" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="045" indent="&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Amount.Stored</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>$Amount.Need</var></line>
<line linenr="046" indent="&#160;&#160;&#160;&#160;"><var>$Return.Flag&#160;=&#160;</var><var>[FALSE]</var></line>
<line linenr="047" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="048" indent="&#160;&#160;"><text>end</text></line>
<line linenr="049" indent="&#160;"><text>end</text></line>
<line linenr="050" indent=""><text>end</text></line>
<line linenr="051" indent=""><var>if&#160;</var><var>$Return.Flag</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>!</var><text>&#160;</text><var>$Add.Res</var></line>
<line linenr="052" indent="&#160;"><var>$No.Stored&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Stored</var></line>
<line linenr="053" indent="&#160;"><var>while&#160;</var><var>$No.Stored</var></line>
<line linenr="054" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="055" indent="&#160;&#160;"><var>$Ware&#160;=&#160;</var><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]</text></line>
<line linenr="056" indent="&#160;&#160;"><text>dec&#160;</text><var>$No.Stored&#160;=&#160;</var></line>
<line linenr="057" indent="&#160;&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]</text></line>
<line linenr="058" indent="&#160;&#160;"></line>
<line linenr="059" indent="&#160;&#160;"><var>$No.Need&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Needed</var></line>
<line linenr="060" indent="&#160;&#160;"><var>while&#160;</var><var>$No.Need</var></line>
<line linenr="061" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Need&#160;=&#160;</var></line>
<line linenr="062" indent="&#160;&#160;&#160;"><var>$Temp&#160;=&#160;</var><var>$Needed</var><text>[</text><var>$No.Need</var><text>]</text></line>
<line linenr="063" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$No.Need&#160;=&#160;</var></line>
<line linenr="064" indent="&#160;&#160;&#160;"><var>$Amount.Need&#160;=&#160;</var><var>$Needed</var><text>[</text><var>$No.Need</var><text>]</text></line>
<line linenr="065" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$Temp</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$Ware</var></line>
<line linenr="066" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Amount.Stored</var><text>&#160;</text><var>&lt;=</var><text>&#160;</text><var>$Amount.Need</var></line>
<line linenr="067" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>0</var></line>
<line linenr="068" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="069" indent="&#160;&#160;&#160;&#160;&#160;"><var>$Amount.Stored&#160;=&#160;</var><var>$Amount.Stored</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$Amount.Need</var></line>
<line linenr="070" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="071" indent="&#160;&#160;&#160;&#160;"><var>$Stored</var><text>[</text><var>$No.Stored</var><text>]&#160;=&#160;</text><var>$Amount.Stored</var></line>
<line linenr="072" indent="&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="073" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="074" indent="&#160;&#160;"><text>end</text></line>
<line linenr="075" indent="&#160;"><text>end</text></line>
<line linenr="076" indent=""><text>end</text></line>
<line linenr="077" indent=""><text>return&#160;</text><var>$Return.Flag</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="DDRS.PHQ.CostNew" /><sval type="int" val="30" /><sval type="string" val="Remove resources and return true if enough avail" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="12"><sval type="string" val="Needed" /><sval type="string" val="Add.Res" /><sval type="string" val="Stored" /><sval type="string" val="No.Stored" /><sval type="string" val="Temp" /><sval type="string" val="No.Temp" /><sval type="string" val="Ware" /><sval type="string" val="Return.Flag" /><sval type="string" val="Amount.Stored" /><sval type="string" val="No.Need" /><sval type="string" val="Amount.Need" /><sval type="string" val="Amount.Avail" /></sval><sval type="array" size="70"><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="ddrs.phq.stored" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536867068" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="2" /><sval type="int" val="4" /><sval type="int" val="12" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="ddrs.phq.stored" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="DDRS.PHQ.CostArray" /><sval type="int" val="4" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610608887" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600695" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610600951" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610604285" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="9" /><sval type="int" val="-4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="46" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="45" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610601211" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="618" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-1610601981" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="-2" /><sval type="int" val="3" /><sval type="int" val="-3" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="-536861177" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="10"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="65555" /><sval type="int" val="2" /><sval type="int" val="65555" /><sval type="int" val="-1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131075" /><sval type="int" val="1" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536859641" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="4" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="46" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="23" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="17" /></sval><sval type="array" size="16"><sval type="int" val="104" /><sval type="int" val="-1610595069" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="65556" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610595063" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="3" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610595319" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610595581" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610596349" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="5" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="5" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="65" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="12" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="68" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="55" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="49" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval></sval><sval type="array" size="2"><sval type="array" size="2"><sval type="int" val="44" /><sval type="string" val="Needed" /></sval><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Add Res." /></sval></sval><sval type="array" size="17"><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="22" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="45" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="46" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="54" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="64" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="65" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="67" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="67" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="68" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="69" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="69" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
